<html>
    <head>
        <meta charset="UTF-8">
    </head>
    <body onload="createMessagePolling()">
        <script>
            function createMessagePolling() {
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {
                    if (this.readyState == 4 && this.status == 200) {
                        let messages = document.getElementById("messages");
                        let divElement = document.createElement("div");
                        divElement.innerText = this.responseText;
                        messages.appendChild(divElement);
                        createMessagePolling();
                    }
                };
                xhttp.open("GET", "/messages", true);
                xhttp.send();
            }
        </script>

        <h2>Messages from server:</h2>
        <div id="messages"></div>
    </body>
</html>